{
  "name": "WalmartExports",
  "description": "导出沃尔玛报表",
  "version": "1.0.0",
  "manifest_version": 3,
  "background": {
    "service_worker": "./js/background.js"
  }, 
  "permissions": [
    "tabs",
    "activeTab",
    "scripting",
    "notifications",
    "storage",
    "alarms"
  ],
  "action": {
    "default_title": "WalmartExports",
    "default_popup": "popup.html",
    "default_icon": {
      "16": "icon.png",
      "32": "icon.png",
      "48": "icon.png",
      "128": "icon.png"
    }
  },
  "icons": {
    "16": "icon.png",
    "32": "icon.png",
    "48": "icon.png",
    "128": "icon.png"
  },
  "web_accessible_resources": [
    {
      "resources": ["src/main.js"],
      "matches": ["<all_urls>"]
    }
  ],
  "host_permissions": [
    "https://seller.walmart.com/*",
    "https://advertising.walmart.com/*",
    "https://login.account.wal-mart.com/*",
    "https://marketplace.walmartapis.com/*",
    "https://walmart.meinuosha.com/*"
  ],
  "content_scripts": [
    {
      "matches": [
        "https://seller.walmart.com/*",
        "https://advertising.walmart.com/*",
        "https://login.account.wal-mart.com/*",
        "https://marketplace.walmartapis.com/*",
        "https://walmart.meinuosha.com/*"
      ],
      "js": [
        "./js/main.js"
      ]
    }
  ]
}
